# 《QmlBook》In Chinese

中文版《QmlBook》，原作地址[QmlBook](http://qmlbook.github.io/index.html)。

QML的中文资料一直比较少，希望大家能喜欢。

# 在线阅读

使用Gitbook制作，可以直接[在线阅读](http://cwc1987.gitbooks.io/qmlbook-in-chinese/content/)。

# PDF下载

[点我下载](https://www.gitbook.com/download/pdf/book/cwc1987/qmlbook-in-chinese)

[百度网盘-中文字体修正](http://pan.baidu.com/s/1dDnqMXV)

# 当前阶段

[QmlBook](http://qmlbook.github.io/index.html)上发布的课程已完成所有章节的翻译，进入第一次校正阶段，还有很多不通顺或者翻译很生硬的地方。

很多术语可能不准确，如果有什么错误希望广大Qt爱好者谅解，并及时指出。

# 校对贡献

排名不分先后

[**DreamerCorey**](https://github.com/DreamerCorey)

[**Jakes Lee**](https://github.com/jakeslee)

[**itviewer**](https://github.com/itviewer)

# 课程目录

1. 初识Qt5（Meet Qt5）
   * 序（Preface\)
   * Qt5介绍（Qt5 Introduction）
   * Qt构建模块（Qt Building Blocks）
   * Qt项目（Qt Project）
2. 开始学习（Get Start）
   * 安装Qt5软件工具包（Installing Qt5 SDK）
   * 你好世界（Hello World）
   * 应用程序类型（Application Types）
   * 总结（Summary）
3. Qt Creator集成开发环境（Qt Creator IDE）
   * 用户界面（The User Interface）
   * 注册你的Qt工具箱（Registering your Qt Kit）
   * 使用编辑器（Managing Projects）
   * 定位器（Locator）
   * 调试（Debugging）
   * 快捷键（Shortcuts）
4. QML快速入门（Quick Starter）
   * QML语法（QML Syntax）
   * 基本元素（Basic Elements）
   * 组件（Compontents）
   * 简单的转换（Simple Transformations）
   * 定位元素（Positioning Element）
   * 布局元素（Layout items）
   * 输入元素（Input Element）
   * 高级用法（Advanced Techniques）
5. 动态元素（Fluid Elements）
   * 动画（Animations\)
   * 状态与过渡（States and Transitions）
   * 高级用法（Advanced Techniques）
6. 模型-视图-代理（Model-View-Delegate）
   * 概念（Concept）
   * 基础模型（Basic Model）
   * 动态视图（Dynamic Views）
   * 代理（Delegate）
   * 高级用法（Advanced Techniques）
   * 总结（Summary）
7. 画布元素（Canvas Element）
   * 便捷的接口（Convenient API）
   * 渐变（Gradients）
   * 阴影（Shadows）
   * 图片（Images）
   * 转换（Transformation）
   * 组合模式（Composition Mode）
   * 像素缓冲（Pixels Buffer）
   * 画布绘制（Canvas Paint）
   * HTML5画布移植（Porting from HTML5 Canvas）
8. 粒子模拟（Particle Simulations）
   * 概念（Concept）
   * 简单的模拟（Simple Simulation）
   * 粒子参数（Particle Parameters）
   * 粒子方向（Directed Particle）
   * 粒子画笔（Particle Painter）
   * 粒子控制（Affecting Particles）
   * 粒子组（Particle Group）
   * 总结（Summary）
9. 着色器效果（Shader Effect）
   * OpenGL着色器（OpenGL Shader）
   * 着色器元素（Shader Elements）
   * 片段着色器（Fragment Shader）
   * 波浪效果（Wave Effect）
   * 顶点着色器（Vertex Shader）
   * 剧幕效果（Curtain Effect）
   * Qt图像效果库（Qt GraphicsEffect Library）
10. 多媒体（Multimedia）
    * 媒体播放（Playing Media）
    * 声音效果（Sounds Effects）
    * 视频流（Video Streams）
    * 捕捉图像（Capturing Images）
    * 高级用法（Advanced Techniques）
    * 总结（Summary）
11. 网络（Networking）
    * 通过HTTP服务UI（Serving UI via HTTP）
    * 模板（Templating）
    * HTTP请求（HTTP Requests）
    * 本地文件（Local files）
    * REST接口（REST API）
    * 云服务（Engine IO）
    * Web Sockets
    * 总结（Summary）
12. 存储（Stgorage）
    * 配置（Settings）
    * 本地存储-SQL（Local Storage - SQL）
    * 其它存储接口（Other Storage APIs）
13. 动态QML（Dynamic QML）
    * 动态加载组件（Loading Components Dynamically）
    * 创建与销毁对象（Creating and Destorying Objects）
    * 跟踪动态对象（Tracking Dynamic Objects）
    * 总结（Summary）
14. JavaScript
    * 浏览器/HTML与QtQuick/QML对比（Browser/HTML vs QtQuick/QML）
    * JavaScript语法（The Language）
    * JS对象（JS Objects）
    * 创建JS控制台（Creating a JS Console）
15. Qt and C++
    * 演示程序（A Boilerplate Application）
    * Qt对象（The QObject）
    * 编译系统（Build Systems）
    * Qt通用类（Common Qt Classes）
    * C++数据模型（Models in C++）
16. C++扩展QML（Extending QML with C++）
    * 理解QML运行环境（Understanding the QML Run-time）
    * 插件内容（Plugin Content）
    * 创建插件（Creating the plugin）
    * FileIO实现（FileIO Implementation）
    * 使用FileIO（Using FileIO）
    * 总结（Summary）
17. 其它（Other）
    * 示例源码
    * 术语英汉对照表
    * 格式定义
    * 协作校正

# 原作者

感谢原作者Juergen Bocklage-Ryannel和Johan Thelin的分享。

# 开源协议

[Creative Commons Attribution Non Commercial Share Alike 4.0](http://creativecommons.org/licenses/by-nc/4.0)

# 问题与建议

有任何建议可以在项目issue中提出，或者email我：cwc1987@163.com

